%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname -d %{name}

Summary: Assistive Technology Service Provider Interface
Name: at-spi
Version: 1.32.0
Release: %mkrel 6
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# Fix a string literal error - AdamW 2008/12
Patch0: at-spi-1.25.2-literal.patch
Patch1: at-spi-fix-evolution-crash.patch
License: LGPLv2+
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRequires: pkgconfig(ORBit-2.0)
BuildRequires: pkgconfig(atk) >= 1.29.2
BuildRequires: pkgconfig(dbus-glib-1) >= 0.76
BuildRequires: pkgconfig(gail) >= 1.9.0
BuildRequires: pkgconfig(gconf-2.0) >= 2.0.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.19.7
BuildRequires: pkgconfig(libbonobo-2.0) >= 1.107.0
BuildRequires: intltool >= 0.40.0
BuildRequires: GConf2
BuildRequires: libx11-devel
BuildRequires: libxi-devel
BuildRequires: libsm-devel
BuildRequires: libice-devel
BuildRequires: popt-devel
BuildRequires:	python-devel
BuildRequires:	libxtst-devel
BuildRequires:  libxevie-devel
BuildRequires:	gtk-doc
#gw needed by autoconf:
BuildRequires:	gnome-common

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n %{lib_name}
Summary:	GNOME Assistive Technology Service Provider Interface
Group:		System/Libraries

Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}
Conflicts:	at-spi < 1.7.14-3mdv

%description -n %{lib_name}
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n %develname
Summary:	Static libraries, include files for at-spi
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes: %mklibname -d %{name} 0

%description -n %develname
Libraries and header files allowing compilation of apps that use at-spi.

%package -n python-%name
Group: Development/Python
Summary: Python bindings for AT-SPI
Requires: %{lib_name} >= %{version}
Conflicts: python-pyatspi <= 0.3.90

%description -n python-%name
Python bindings allowing to use at-spi in python programs.

%prep
%setup -q
%apply_patches
%build

%configure2_5x --enable-relocate --enable-gtk-doc=yes --disable-static

%make

%install
%makeinstall_std

# remove unpackaged files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %name

mv %buildroot%_datadir/doc/%name-%version/ installed-docs

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %name.lang
%doc README AUTHORS TODO 
%config(noreplace) %_sysconfdir/xdg/autostart/at-spi-registryd.desktop
%{_datadir}/idl/*
%_sysconfdir/gconf/schemas/at-spi.schemas

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*
%{_libexecdir}/at-spi-registryd
%{_libdir}/gtk-2.0/modules/at-spi-corba
%{_libdir}/orbit-2.0/*.so
%{_libdir}/bonobo/servers/*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/* 
%doc installed-docs/*
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n python-%{name}
%py_platsitedir/pyatspi_corba


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.32.0-6.mga3
+ Revision: 346508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 fwang <fwang> 1.32.0-5.mga2
+ Revision: 203232
- br gtk-doc
- convert br into pconfig style

* Thu Sep 22 2011 ovitters <ovitters> 1.32.0-4.mga2
+ Revision: 146884
- switch to dbus instead of corba
  add patch from fedora to avoid evolution crash

* Thu Jun 09 2011 dmorgan <dmorgan> 1.32.0-3.mga2
+ Revision: 102490
- Remove la files

* Wed Jan 19 2011 pterjan <pterjan> 1.32.0-2.mga1
+ Revision: 23701
- Drop obsolete scriptlets
- imported package at-spi

